#### Previous topic

scipy.special.ellipkinc

#### Next topic

scipy.special.ellipeinc

# scipy.special.ellipe

`scipy.special.``ellipe`(m) = <ufunc 'ellipe'>

  Complete elliptic integral of the second kind

  This function is defined as

  \[E(m) = \int_0^{\pi/2} [1 - m \sin(t)^2]^{1/2} dt\]

  Parameters:

  m : array_like

  > Defines the parameter of the elliptic integral.

  Returns:

  E : ndarray

  > Value of the elliptic integral.

  See also

  `ellipkm1`
    Complete elliptic integral of the first kind, near m = 1
  `ellipk`
    Complete elliptic integral of the first kind
  `ellipkinc`
    Incomplete elliptic integral of the first kind
  `ellipeinc`
    Incomplete elliptic integral of the second kind

  Notes

  Wrapper for the Cephes [R375] routine ellpe.

  For m > 0 the computation uses the approximation,

  \[E(m) \approx P(1-m) - (1-m) \log(1-m) Q(1-m),\]

  where \(P\) and \(Q\) are tenth-order polynomials. For m < 0, the relation

  \[E(m) = E(m/(m - 1)) \sqrt(1-m)\]

  is used.

  References

  [R375] | (1, 2) Cephes Mathematical Functions Library, http://www.netlib.org/cephes/index.html